package com.yd.base.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.base.feign.request.species.ApiSpeciesAddRequest;
import com.yd.base.feign.request.species.ApiSpeciesEditRequest;
import com.yd.base.feign.request.species.ApiSpeciesPageRequest;
import com.yd.base.feign.response.species.ApiSpeciesDetailResponse;
import com.yd.base.feign.response.species.ApiSpeciesPageResponse;
import com.yd.common.result.Result;

public interface ApiSpeciesService {
    Result<IPage<ApiSpeciesPageResponse>> page(ApiSpeciesPageRequest request);

    Result add(ApiSpeciesAddRequest request);

    Result edit(ApiSpeciesEditRequest request);

    Result<ApiSpeciesDetailResponse> detail(String speciesBizId);

    Result del(String speciesBizId);
}
